Update a line item
curl --request PATCH \
--url https://api.paygentic.io/v0/orders/{orderId}/lineItems/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"itemId": "<string>",
"description": "<string>",
"quantity": "<string>",
"listUnitPrice": "<string>",
"discountUnitAmount": "<string>",
"unitPrice": "<string>",
"totalPrice": "<string>",
"metadata": {},
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.paygentic.io/v0/orders/{orderId}/lineItems/{id}"
payload = {
"itemId": "<string>",
"description": "<string>",
"quantity": "<string>",
"listUnitPrice": "<string>",
"discountUnitAmount": "<string>",
"unitPrice": "<string>",
"totalPrice": "<string>",
"metadata": {},
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
itemId: '<string>',
description: '<string>',
quantity: '<string>',
listUnitPrice: '<string>',
discountUnitAmount: '<string>',
unitPrice: '<string>',
totalPrice: '<string>',
metadata: {},
termStartDate: '2023-11-07T05:31:56Z',
termEndDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.paygentic.io/v0/orders/{orderId}/lineItems/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "order_line_item",
"orderId": "<string>",
"quantity": "<string>",
"listUnitPrice": "<string>",
"discountUnitAmount": "<string>",
"unitPrice": "<string>",
"totalPrice": "<string>",
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"itemId": "<string>",
"description": "<string>"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Orders
Update a line item
PATCH
/
v0
/
orders
/
{orderId}
/
lineItems
/
{id}
Update a line item
Authorizations
API key authentication
Body
application/json
Response
Updated line item
Available options:
order_line_item Decimal string
Decimal string
Decimal string
Decimal string
Decimal string
Was this page helpful?
⌘I